# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "momento-functions-bytes"
version = "0.20.1"
authors = [
    "momentohq",
    "kvc0",
    "tylerburdsall",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "off-guest buffer management"
readme = "README.md"
keywords = [
    "service",
    "performance",
    "faas",
]
categories = ["web-programming"]
license = "Apache-2.0"
repository = "https://github.com/momentohq/functions"
resolver = "2"

[lib]
name = "momento_functions_bytes"
path = "src/lib.rs"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.wit-bindgen]
version = "0.55"
